Bug 103347 - FILEOPEN: PPTX - Using the slide title as slide name has problems when multiple slides have the same title
Summary: FILEOPEN: PPTX - Using the slide title as slide name has problems when multip...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:pptx
: 113968 (view as bug list)
Depends on:
Blocks: Slide-Show PPTX
  Show dependency treegraph
 
Reported: 2016-10-20 10:04 UTC by Puma El Busta
Modified: 2019-04-03 02:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
pptx file for testing (131.01 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-10-20 19:42 UTC, Puma El Busta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Puma El Busta 2016-10-20 10:04:02 UTC
Description:
The 'Start slideshow from currend slide' starts slideshow from the first slide, even if I press shift+F5 or try it from the menu.
I am trying to play .pptx slideshows - if I create new slideshow it works properly.

Steps to Reproduce:
1.open .pptx file (probably created with MS PP)
2.navigate to any other slde than the first one
3.press shift+F5 or select option from menu

Actual Results:  
starts slideshow from first slide

Expected Results:
start slideshow from the current slide


Reproducible: Always

User Profile Reset: No

Additional Info:
OS:
3.13.0-98-generic #145-Ubuntu SMP Sat Oct 8 20:13:07 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

packages with 'libreoffice' in name:
ii  libreoffice                           1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite (metapackage)                              
ii  libreoffice-avmedia-backend-gstreamer 1:4.2.8-0ubuntu4                        amd64        GStreamer backend for LibreOffice                                    
ii  libreoffice-base                      1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- database                                
ii  libreoffice-base-core                 1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- shared library                          
ii  libreoffice-base-drivers              1:5.1.3~rc2-0ubuntu1~trusty1            amd64        Database connectivity drivers for LibreOffice                        
ii  libreoffice-calc                      1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- spreadsheet                             
ii  libreoffice-common                    1:5.1.3~rc2-0ubuntu1~trusty1            all          office productivity suite -- arch-independent files                  
ii  libreoffice-core                      1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- arch-dependent files                    
ii  libreoffice-draw                      1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- drawing                                 
ii  libreoffice-impress                   1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- presentation                            
ii  libreoffice-java-common               1:5.1.3~rc2-0ubuntu1~trusty1            all          office productivity suite -- arch-independent Java support files     
ii  libreoffice-kde                       1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- KDE integration                         
ii  libreoffice-math                      1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- equation editor                         
ii  libreoffice-pdfimport                 1:4.2.8-0ubuntu4                        amd64        PDF Import component for LibreOffice
ii  libreoffice-report-builder-bin        1:4.2.8-0ubuntu4                        amd64        LibreOffice component for building database reports -- libraries
ii  libreoffice-sdbc-firebird             1:4.2.8-0ubuntu4                        amd64        Firebird SDBC driver for LibreOffice
ii  libreoffice-sdbc-hsqldb               1:4.2.8-0ubuntu4                        amd64        HSQLDB SDBC driver for LibreOffice
ii  libreoffice-style-breeze              1:5.1.3~rc2-0ubuntu1~trusty1            all          office productivity suite -- Breeze symbol style
ii  libreoffice-style-galaxy              1:5.1.3~rc2-0ubuntu1~trusty1            all          office productivity suite -- Galaxy (Default) symbol style
ii  libreoffice-style-oxygen              1:5.1.3~rc2-0ubuntu1~trusty1            all          office productivity suite -- Oxygen symbol style
ii  libreoffice-style-tango               1:5.1.3~rc2-0ubuntu1~trusty1            all          office productivity suite -- Tango symbol style
ii  libreoffice-writer                    1:5.1.3~rc2-0ubuntu1~trusty1            amd64        office productivity suite -- word processor



User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Cor Nouws 2016-10-20 19:31:37 UTC
Hi Puma,

Thanks for reporting.

(In reply to Puma El Busta from comment #0)
> Description:

> I am trying to play .pptx slideshows - if I create new slideshow it works
> properly.

I can't reproduce the issue with a pptx at hand in version 5.1.4.2 (5.1.6.2 will be released soon) and a daily build.

Can you add your test file please?
Ciao - Cor
Comment 2 Puma El Busta 2016-10-20 19:42:44 UTC
Created attachment 128104 [details]
pptx file for testing

This is one of the files producing the error
Comment 3 Cor Nouws 2016-10-20 20:04:05 UTC
thanks - interesting - I can confirm the issue with that file.

Needs checking for dupes and regression
Comment 4 jebsolutions 2016-10-21 22:46:31 UTC
The way libreoffice handles duplicate slide *names* has bugs.  

In attachment 128104 [details] all the slides are named something like "Linearis optimaizalas".  

You can confirm this by right-clicking on any slide in the slide sorter on the left and select "rename slide".

I think under the hood it is really starting the slideshow from the first slide with the same *slide name* as the currently selected slide name.  i.e. it's not saying "start on slide 4" it's saying start on slide "Linearis optimaizalas". Since all the slides have the same name, the first slide that matches that name is always slide #1.  

I notice that newer versions of libreoffice prevent you from renaming a slide to the same name as an existing slide.  It greys out the save button with no explanation to the user as to why you can't choose that name.

Interestingly if I duplicate a slide (e.g. the 6th slide) it will give it a name "Slide 7".  Fine...but if I try to rename one of the "Linearis optimaizalas" slides as "Slide 8" (even though there is no slide with this name) it prevents it as well.  But...if I duplicate the "Side 7" slide...guess what, it creates the new slide name as "Slide 8".  

I am getting deja vu of past crashes.  Often after duplicating a slide, doing basic edits, and then saving.  Maybe a clever dev can check if this mis-handling of duplicate slide names has problems elsewhere in the code.
Comment 5 Julien Nabet 2016-11-07 20:47:04 UTC
(In reply to jebsolutions from comment #4)
> The way libreoffice handles duplicate slide *names* has bugs.  
>...
Please don't "hijack" a bugtracker and open a brand new one.
Indeed, your description is unrelated to this one except the fact it concerns slideshow.
Comment 6 Aron Budea 2016-11-08 04:20:04 UTC
Julien, comment 4 adds some very good observations about this issue, it's not  hijacking at all.

Issue reproduced with as early as 4.1.0.4 / Windows 7 (in earlier versions there's no Start from current slide option).
Comment 7 Julien Nabet 2016-11-08 06:10:59 UTC
You're right Aron. Re reading comment 4, it could explain the pb indeed.
Sorry for my previous comment Jebsolutions.
Comment 8 Yousuf Philips (jay) (retired) 2016-11-09 13:08:28 UTC
So the problem boils down to the import code not making sure that slide titles it is using as the slide names is unique, as pptx dont support slide names. It should either import the slide without slide names, like it does for ppt files, or it should import them like so.

Lineáris optimalizálás
Lineáris optimalizálás (1)
Lineáris optimalizálás (2)
...
Comment 9 Buovjaga 2017-11-22 16:46:23 UTC
*** Bug 113968 has been marked as a duplicate of this bug. ***
Comment 10 QA Administrators 2019-04-03 02:57:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug